[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#494489: marked as done (qt3 apps throw errors like "QTextParagraph::lineInfo: line 1 out of range!")



Your message dated Wed, 20 Jun 2012 11:03:14 +0000
with message-id <E1ShIgs-00078Z-Vq@franck.debian.org>
and subject line Bug#678210: Removed package(s) from unstable
has caused the Debian Bug report #494489,
regarding qt3 apps throw errors like "QTextParagraph::lineInfo: line 1 out of range!"
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
494489: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494489
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: libqt3-mt
Version: 3:3.3.8b-5
Severity: grave
Justification: renders package unusable

QT3-Programs throw errors like "QTextParagraph::lineInfo: line 1 out of
range!" at me and sometimes (about every second time) crash the whole
X-Server when started. If they don't crash, the GUI is completely
screwed up and unusable.

I already tried to feed variations of that error to google, but it only
came up with one result, which was in a language I don't understand.

I also discussed the problem in #qt on freenode, because even
qtconfig-qt3 fails to run and I supposed it might be related to QT
itself. A wild guess there aimed at some font-rendering-infrastructure
to be broken due to a system-update.

Also, i tried to discuss the problem in #debian and got the advice to
pstack the processes, however, pstack is not available on AMD64.

Other toolkits, even QT4, work fine for me. Unfortunately I use QT3
quite rarely, so I can't tell which update broke it :(

Additionally, here is the trace of an X-Server that crashed when trying
to start qtconfig-qt3:

Backtrace:
0: /usr/X11R6/bin/X(xf86SigHandler+0x6a) [0x49162a]
1: /lib/libc.so.6 [0x7fb4a068ff80]
2: /usr/X11R6/bin/X [0x505326]
3: /usr/X11R6/bin/X(compResizeWindow+0xfb) [0x4c559b]
4: /usr/X11R6/bin/X(ConfigureWindow+0xbdd) [0x43c8ad]
5: /usr/X11R6/bin/X(ProcConfigureWindow+0x8d) [0x44ef2d]
6: /usr/X11R6/bin/X(Dispatch+0x342) [0x44f852]
7: /usr/X11R6/bin/X(main+0x4a5) [0x436bd5]
8: /lib/libc.so.6(__libc_start_main+0xe6) [0x7fb4a067c1a6]
9: /usr/X11R6/bin/X(FontFileCompleteXLFD+0x281) [0x435e99]

Fatal server error:
Caught signal 11.  Server aborting

I saved the complete log, so I can attach it later if needed.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'stable'), (300, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF8, LC_CTYPE=de_DE.UTF8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libqt3-mt depends on:
ii  fontconfig             2.6.0-1           generic font configuration library
ii  libaudio2              1.9.1-4           Network Audio System - shared libr
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-1           generic font configuration library
ii  libfreetype6           2.3.7-1           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libmng1                1.0.9-1           Multiple-image Network Graphics li
ii  libpng12-0             1.2.27-1          PNG library - runtime
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libstdc++6             4.3.1-2           The GNU Standard C++ Library v3
ii  libx11-6               2:1.1.4-2         X11 client-side library
ii  libxcursor1            1:1.1.9-1         X cursor management library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxft2                2.1.12-3          FreeType-based font drawing librar
ii  libxi6                 2:1.1.3-1         X11 Input extension library
ii  libxinerama1           2:1.0.3-2         X11 Xinerama extension library
ii  libxrandr2             2:1.2.3-1         X11 RandR extension library
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages libqt3-mt recommends:
ii  libgl1-mesa-glx [libgl1]      7.0.3-5    A free implementation of the OpenG
ii  libglu1-mesa [libglu1]        7.0.3-5    The OpenGL utility library (GLU)
ii  libxmu6                       2:1.0.4-1  X11 miscellaneous utility library

Versions of packages libqt3-mt suggests:
pn  libqt3-mt-mysql               <none>     (no description available)
pn  libqt3-mt-odbc                <none>     (no description available)
pn  libqt3-mt-psql                <none>     (no description available)

-- no debconf information



--- End Message ---
--- Begin Message ---
Version: 3:3.3.8b-11+rm

Dear submitter,

as the package qt-x11-free has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/678210

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)


--- End Message ---

Reply to: